/*****************************************************************************/
/*	SSDT Copyright (C) 2003 Paolo Ardoino				     */
/*****************************************************************************/
/*									     */
/* This program is free software; you can redistribute it and/or modify	     */
/* it under the terms of the GNU General Public License as published by	     */
/* the Free Software Foundation; either version 2 of the License, or	     */
/* (at your option) any later version.					     */
/* This program is distributed in the hope that it will be useful,	     */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of	     */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the	     */
/* GNU General Public License for more details.				     */
/*									     */
/* You should have received a copy of the GNU General Public License	     */
/* along with this program; if not, write to the Free Software		     */
/* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA */
/*****************************************************************************/


#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <string.h>
#include <time.h>

#define VERSION "0.1"

#define MAX_IP 8192L

/* ssdt.c */
void help(char *pname);


/* rsa.c */
int genkey(int size, char*secfile, char*pubfile);
void* readseckey(char *secfile);
void* readpubkey(char *pubfile);
long int rsa_encrypt(char *pubfile, unsigned long int plsz, char *filein, unsigned char *ciphdata);
long int rsa_decrypt(char *secfile, unsigned char *ciphdata, unsigned long int ciphsz,unsigned char *plaindata);


/* net.c */
u_long nameResolve(char *hostname);
u_short in_chksum(u_short *ptr, int nbytes);


/* icmp.c */
int ICMP_init(void);
void ICMP_reset(void);
long ICMP_sp_send(unsigned char *ciphdata, unsigned long ciphsz, u_long sp_ip, u_long dest_ip);
int ICMP_recv_init(void);
long ICMP_recv(char *ciphdata, unsigned long ciphsz);


/* udp.c */
int UDP_init(void);
void UDP_reset(void);
long UDP_sp_send(unsigned char *ciphdata, unsigned long ciphsz, unsigned long sp_ip, unsigned long dest_ip, unsigned long sport, unsigned long dport);
int UDP_recv_init(unsigned long port);
long UDP_recv(char *ciphdata, unsigned long ciphsz);


#include "rsa.c"
#include "net.c"
